#ifndef _CSYNC_H_
#define _CSYNC_H_

#include <glibmm/thread.h>


class CSync
{
	Glib::Mutex m_sync;
	Glib::Mutex::Lock m_lock;


public:
	CSync()
		: m_lock(m_sync, Glib::NOT_LOCK)
	{
	}

	
public:
	void lock()
	{
		m_lock.acquire();
	}
	
	void unlock()
	{
		m_lock.release();
	}
};

#endif
